# Class NumericConstraint

java.lang.Object
com.codename1.ui.validation.NumericConstraint

All Implemented Interfaces:
  `Constraint`

public class NumericConstraint extends Object implements Constraint
Forces the value to be a number potentially within specific bounds

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericConstraint(boolean dec)`
  Creates a new numeric constraint
  `NumericConstraint(boolean dec, double minimum, double maximum, String errorMessage)`
  Creates a new numeric constraint

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultFailMessage()`
  Includes the error message for the constraint
  `boolean`
  `isValid(Object value)`
  Indicates if the given value is valid or not

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumericConstraint

    public NumericConstraint(boolean dec, double minimum, double maximum, String errorMessage)

    Creates a new numeric constraint

    ###### Parameters

    - `dec`: whether the number is decimal or integer, true for decimal

    - `minimum`: the minimal value to a number or Double.NaN for no minimum value

    - `maximum`: the maximum value to a number or Double.NaN for no minimum value

    - `errorMessage`: the default error message if the constraint fails

  - ### NumericConstraint

    public NumericConstraint(boolean dec)

    Creates a new numeric constraint

    ###### Parameters

    - `dec`: whether the number is decimal or integer, true for decimal

- ## Method Details

  - ### isValid

    public boolean isValid(Object value)

    Indicates if the given value is valid or not

    ###### Parameters

    - `value`: the value for the object

    ###### Returns

    true if the value is valid and false otherwise

    Specified by:
      `isValid` in interface `Constraint`

  - ### getDefaultFailMessage

    public String getDefaultFailMessage()

    Includes the error message for the constraint

    ###### Returns

    the text of the error message for a constraint

    Specified by:
      `getDefaultFailMessage` in interface `Constraint`